// win32ConsoleTestProject.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "SimulatorSingleton.h"
#include "SimulationController.h"
#include "StepResultDTO.h"
#include "DTOIterator.h"
#include "ResultDTOIteratorFactory.h"
#include "ResultsFileWriter.h"
#include "AbstractSimulationResultDTO.h"
#include "ServiceInfoDTO.h"
#include <string>
#include "AbstractUIObserver.h"
#include "ClientConsole.h"
#using <mscorlib.dll>



int _tmain(int argc, _TCHAR* argv[])
{
	SimulationController* simControl = SimulationController::instance();
	SimulatorSingleton *sim = SimulatorSingleton::instance();
	StatisticsSimulatorObserver* estatistics = new StatisticsSimulatorObserver();
	estatistics->setSimulator(sim);
	sim->attachStatisticsObserver(estatistics);
	simControl->setSimulator(sim);
	ClientConsole* consoleClient = ClientConsole::instance();
	ResultsFileWriter* resultsFW = new ResultsFileWriter();
	simControl->attachUIObserver(consoleClient);
	simControl->attachUIObserver(resultsFW);
	consoleClient->setSimulationControllerFacade(simControl);
	consoleClient->start();
	return 0;
}



